Bug 1862012 - rust crashes when building Firefox 79.0 on ppc64le [NEEDINFO]
Summary: rust crashes when building Firefox 79.0 on ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm
Version: 32
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Stellard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1866136 1866137
TreeView+ depends on / blocked
 
Reported: 2020-07-30 07:08 UTC by Martin Stransky
Modified: 2020-09-25 16:58 UTC (History)
21 users (show)

Fixed In Version: llvm-10.0.1-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1866136 1866137 (view as bug list)
Environment:
Last Closed: 2020-08-24 01:13:01 UTC
Type: Bug
dan: needinfo? (tstellar)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
LLVM 46923 0 P RESOLVED Assertion failure in PPCBoolRetToInt pass in rust when compiling firefox 79 2020-11-02 12:18:23 UTC

Description Martin Stransky 2020-07-30 07:08:03 UTC
Description of problem:
Crashes during compilation.

Task:
https://koji.fedoraproject.org/koji/taskinfo?taskID=48096003


60:57.40   process didn't exit successfully: `CARGO=/usr/bin/cargo CARGO_MANIFEST_DIR=/builddir/build/BUILD/firefox-79.0/toolkit/library/rust CARGO_PKG_AUTHORS='nobody@mozilla.org' CARGO_PKG_DESCRIPTION='Rust code for libxul' CARGO_PKG_HOMEPAGE= CARGO_PKG_NAME=gkrust CARGO_PKG_REPOSITORY= CARGO_PKG_VERSION=0.1.0 CARGO_PKG_VERSION_MAJOR=0 CARGO_PKG_VERSION_MINOR=1 CARGO_PKG_VERSION_PATCH=0 CARGO_PKG_VERSION_PRE= LD_LIBRARY_PATH='/builddir/build/BUILD/firefox-79.0/objdir/release/deps:/usr/lib' /usr/bin/rustc --crate-name gkrust toolkit/library/rust/lib.rs --error-format=json --json=diagnostic-rendered-ansi --crate-type staticlib --emit=dep-info,link -C opt-level=2 -C panic=abort -C lto -Clto --cfg 'feature="cubeb-remoting"' --cfg 'feature="cubeb_pulse_rust"' --cfg 'feature="moz_places"' --cfg 'feature="new_cert_storage"' --cfg 'feature="quantum_render"' --cfg 'feature="webgpu"' --cfg 'feature="webrtc"' -C metadata=3e93cfdd9a4e4e57 -C extra-filename=-3e93cfdd9a4e4e57 --out-dir /builddir/build/BUILD/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/deps --target powerpc64le-unknown-linux-gnu -C linker=/builddir/build/BUILD/firefox-79.0/build/cargo-linker -L dependency=/builddir/build/BUILD/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/deps -L dependency=/builddir/build/BUILD/firefox-79.0/objdir/release/deps --extern gkrust_shared=/builddir/build/BUILD/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/deps/libgkrust_shared-72c88bfff60ccca3.rlib --extern mozglue_static=/builddir/build/BUILD/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/deps/libmozglue_static-ae95b9ea5161a075.rlib --extern mozilla_central_workspace_hack=/builddir/build/BUILD/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/deps/libmozilla_central_workspace_hack-ef7faa5cc81cedb9.rlib -C opt-level=2 -C debuginfo=2 --cap-lints warn -C codegen-units=1 -L native=/usr/lib64 -L native=/builddir/build/BUILD/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/build/lmdb-rkv-sys-a236412473758f08/out -L native=/builddir/build/BUILD/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/build/mozglue-static-ef3a495cd97c0d09/out -L native=/builddir/build/BUILD/firefox-79.0/objdir/dist/bin -L native=/builddir/build/BUILD/firefox-79.0/objdir/security/nss/lib/nss/nss_nss3 -L native=/builddir/build/BUILD/firefox-79.0/objdir/security/nss/lib/ssl/ssl_ssl3 -L native=/builddir/build/BUILD/firefox-79.0/objdir/config/external/nspr/pr -L native=/builddir/build/BUILD/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/build/swgl-defde55464ba820e/out -L native=/builddir/build/BUILD/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/build/libloading-df9098d7f8e424dd/out -L native=/usr/lib64` (signal: 11, SIGSEGV: invalid memory reference)
60:57.41 gmake[4]: *** [/builddir/build/BUILD/firefox-79.0/config/makefiles/rust.mk:298: force-cargo-library-build] Error 101

Comment 1 Dan Horák 2020-07-30 10:12:03 UTC
I have reproduced that locally, seems it's a bug in LLVM, see info bellow

[dan@talos ~]$ coredumpctl info                                                                                                                                                               
           PID: 30945 (rustc)
           UID: 1000 (dan)
           GID: 1000 (dan)
        Signal: 11 (SEGV)
     Timestamp: Thu 2020-07-30 10:29:07 CEST (2min 7s ago)
  Command Line: /usr/bin/rustc --crate-name gkrust toolkit/library/rust/lib.rs --error-format=json --json=diagnostic-rendered-ansi --crate-type staticlib --emit=dep-info,link -C opt-level=2>
    Executable: /usr/bin/rustc
 Control Group: /user.slice/user-1000.slice/session-3.scope
          Unit: session-3.scope
         Slice: user-1000.slice
       Session: 3
     Owner UID: 1000 (dan)
       Boot ID: 9ee1e5be08dd464c9364702fd839b457
    Machine ID: d94ac98ea91043d3892dab218d99209d
      Hostname: talos.danny.cz
       Storage: /var/lib/systemd/coredump/core.rustc.1000.9ee1e5be08dd464c9364702fd839b457.30945.1596097747000000000000.lz4
       Message: Process 30945 (rustc) of user 1000 dumped core.
                
                Stack trace of thread 30954:
                #0  0x00007fff7f0153f4 _ZN12_GLOBAL__N_115PPCBoolRetToInt8runOnUseERN4llvm3UseERKNS1_11SmallPtrSetIPKNS1_7PHINodeELj8EEERNS1_8DenseMapIPNS1_5ValueESD_NS1_12DenseMapInfoISD_E>
                #1  0x00007fff7f015bb0 _ZN12_GLOBAL__N_115PPCBoolRetToInt13runOnFunctionERN4llvm8FunctionE (libLLVM-10.so + 0x31b5bb0)
                #2  0x00007fff7ca0bc0c _ZN4llvm13FPPassManager13runOnFunctionERNS_8FunctionE (libLLVM-10.so + 0xbabc0c)
                #3  0x00007fff7ca0c318 _ZN4llvm13FPPassManager11runOnModuleERNS_6ModuleE (libLLVM-10.so + 0xbac318)
                #4  0x00007fff7ca0c7ec _ZN4llvm6legacy15PassManagerImpl3runERNS_6ModuleE (libLLVM-10.so + 0xbac7ec)
                #5  0x00007fff7ca0cbcc _ZN4llvm6legacy11PassManager3runERNS_6ModuleE (libLLVM-10.so + 0xbacbcc)
                #6  0x00007fff824a4eec LLVMRustWriteOutputFile (librustc_driver-33cbff3d94b1e174.so + 0xaf4eec)
                #7  0x00007fff8240ac5c _ZN18rustc_codegen_llvm4back5write17write_output_file17hb840e98993d4ea69E (librustc_driver-33cbff3d94b1e174.so + 0xa5ac5c)
                #8  0x00007fff8240f1dc _ZN18rustc_codegen_llvm4back5write7codegen17h868747353c93e41aE (librustc_driver-33cbff3d94b1e174.so + 0xa5f1dc)
                #9  0x00007fff823bbd04 _ZN17rustc_codegen_ssa4back5write17execute_work_item17haf099692429dac65E (librustc_driver-33cbff3d94b1e174.so + 0xa0bd04)
                #10 0x00007fff8229f7f4 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17hd652a03fa9d2ab2aE (librustc_driver-33cbff3d94b1e174.so + 0x8ef7f4)
                #11 0x00007fff822e70dc _ZN4core3ops8function6FnOnce40call_once$u7b$$u7b$vtable.shim$u7d$$u7d$17hd957be9ca8ed87e0E (librustc_driver-33cbff3d94b1e174.so + 0x9370dc)
                #12 0x00007fff818a2420 _ZN3std3sys4unix6thread6Thread3new12thread_start17h0aca31249babb79cE (libstd-b95c28646124486a.so + 0x72420)
                #13 0x00007fff7bb39618 start_thread (libpthread.so.0 + 0x9618)
                #14 0x00007fff8174cff4 __clone (libc.so.6 + 0x13cff4)

Comment 2 Dan Horák 2020-07-30 10:18:13 UTC
And it happens with both llvm-10.0.0-1.fc32.ppc64le and llvm-10.0.1-1.fc32.ppc64le. I'm going to try to downgrade rust.

Comment 3 Dan Horák 2020-07-30 10:49:04 UTC
And there is no problem when rust has been downgraded from rust-1.45.0-1.fc32.ppc64le back to rust-1.44.1-1.fc32.ppc64le

Comment 4 Dan Horák 2020-07-30 11:46:31 UTC
backtrace produced with rust-1.45.0-1.fc32.ppc64le and llvm-libs-10.0.1-1.fc32.ppc64le


[dan@talos ~]$ coredumpctl gdb                                                                                                                                                                
           PID: 34186 (rustc)
           UID: 1000 (dan)
           GID: 1000 (dan)
        Signal: 11 (SEGV)
     Timestamp: Thu 2020-07-30 12:15:35 CEST (1h 25min ago)
  Command Line: /usr/bin/rustc --crate-name gkrust toolkit/library/rust/lib.rs --error-format=json --json=diagnostic-rendered-ansi --crate-type staticlib --emit=dep-info,link -C opt-level=2 -C panic=abort -C lto -Clto --cfg feature="cubeb-remoting" --cfg feature="cubeb_pulse_rust" --cfg feature="moz_places" --cfg feature="new_cert_storage" --cfg feature="quantum_render" --cfg feature="webgpu" --cfg feature="webrtc" -C metadata=3e93cfdd9a4e4e57 -C extra-filename=-3e93cfdd9a4e4e57 --out-dir /mnt/dan/firefox/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/deps --target powerpc64le-unknown-linux-gnu -C linker=/mnt/dan/firefox/firefox-79.0/build/cargo-linker -L dependency=/mnt/dan/firefox/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/deps -L dependency=/mnt/dan/firefox/firefox-79.0/objdir/release/deps --extern gkrust_shared=/mnt/dan/firefox/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/deps/libgkrust_shared-72c88bfff60ccca3.rlib --extern mozglue_static=/mnt/dan/firefox/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/deps/libmozglue_static-ae95b9ea5161a075.rlib --extern mozilla_central_workspace_hack=/mnt/dan/firefox/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/deps/libmozilla_central_workspace_hack-ef7faa5cc81cedb9.rlib -C opt-level=2 -C debuginfo=2 --cap-lints warn -C codegen-units=1 -L native=/usr/lib64 -L native=/mnt/dan/firefox/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/build/lmdb-rkv-sys-a236412473758f08/out -L native=/mnt/dan/firefox/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/build/mozglue-static-ef3a495cd97c0d09/out -L native=/mnt/dan/firefox/firefox-79.0/objdir/dist/bin -L native=/mnt/dan/firefox/firefox-79.0/objdir/security/nss/lib/nss/nss_nss3 -L native=/mnt/dan/firefox/firefox-79.0/objdir/security/nss/lib/ssl/ssl_ssl3 -L native=/mnt/dan/firefox/firefox-79.0/objdir/config/external/nspr/pr -L native=/mnt/dan/firefox/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/build/swgl-defde55464ba820e/out -L native=/mnt/dan/firefox/firefox-79.0/objdir/powerpc64le-unknown-linux-gnu/release/build/libloading-df9098d7f8e424dd/out -L native=/usr/lib64
    Executable: /usr/bin/rustc
 Control Group: /user.slice/user-1000.slice/session-3.scope
          Unit: session-3.scope
         Slice: user-1000.slice
       Session: 3
     Owner UID: 1000 (dan)
       Boot ID: 9ee1e5be08dd464c9364702fd839b457
    Machine ID: d94ac98ea91043d3892dab218d99209d
      Hostname: talos.danny.cz
       Storage: /var/lib/systemd/coredump/core.rustc.1000.9ee1e5be08dd464c9364702fd839b457.34186.1596104135000000000000.lz4
       Message: Process 34186 (rustc) of user 1000 dumped core.
                
                Stack trace of thread 34196:
                #0  0x00007fff97330724 _ZN12_GLOBAL__N_115PPCBoolRetToInt8runOnUseERN4llvm3UseERKNS1_11SmallPtrSetIPKNS1_7PHINodeELj8EEERNS1_8DenseMapIPNS1_5ValueESD_NS1_12DenseMapInfoISD_EENS1_6detail12DenseMapPairISD_SD_EEEE (libLLVM-10.so + 0x31b0724)
                #1  0x00007fff97330ef0 _ZN12_GLOBAL__N_115PPCBoolRetToInt13runOnFunctionERN4llvm8FunctionE (libLLVM-10.so + 0x31b0ef0)
                #2  0x00007fff94d3366c _ZN4llvm13FPPassManager13runOnFunctionERNS_8FunctionE (libLLVM-10.so + 0xbb366c)
                #3  0x00007fff94d33d78 _ZN4llvm13FPPassManager11runOnModuleERNS_6ModuleE (libLLVM-10.so + 0xbb3d78)
                #4  0x00007fff94d3424c _ZN4llvm6legacy15PassManagerImpl3runERNS_6ModuleE (libLLVM-10.so + 0xbb424c)
                #5  0x00007fff94d3462c _ZN4llvm6legacy11PassManager3runERNS_6ModuleE (libLLVM-10.so + 0xbb462c)
                #6  0x00007fff9a7d4eec LLVMRustWriteOutputFile (librustc_driver-33cbff3d94b1e174.so + 0xaf4eec)
                #7  0x00007fff9a73ac5c _ZN18rustc_codegen_llvm4back5write17write_output_file17hb840e98993d4ea69E (librustc_driver-33cbff3d94b1e174.so + 0xa5ac5c)
                #8  0x00007fff9a73f1dc _ZN18rustc_codegen_llvm4back5write7codegen17h868747353c93e41aE (librustc_driver-33cbff3d94b1e174.so + 0xa5f1dc)
                #9  0x00007fff9a6ebd04 _ZN17rustc_codegen_ssa4back5write17execute_work_item17haf099692429dac65E (librustc_driver-33cbff3d94b1e174.so + 0xa0bd04)
                #10 0x00007fff9a5cf7f4 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17hd652a03fa9d2ab2aE (librustc_driver-33cbff3d94b1e174.so + 0x8ef7f4)
                #11 0x00007fff9a6170dc _ZN4core3ops8function6FnOnce40call_once$u7b$$u7b$vtable.shim$u7d$$u7d$17hd957be9ca8ed87e0E (librustc_driver-33cbff3d94b1e174.so + 0x9370dc)
                #12 0x00007fff99bd2420 _ZN3std3sys4unix6thread6Thread3new12thread_start17h0aca31249babb79cE (libstd-b95c28646124486a.so + 0x72420)
                #13 0x00007fff93e59618 start_thread (libpthread.so.0 + 0x9618)
                #14 0x00007fff99a7cff4 __clone (libc.so.6 + 0x13cff4)

GNU gdb (GDB) Fedora 9.1-5.fc32
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "ppc64le-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/rustc...
Reading symbols from /usr/lib/debug/usr/bin/rustc-1.45.0-1.fc32.ppc64le.debug...
[New LWP 34196]
[New LWP 34189]
[New LWP 34186]
[New LWP 34187]
[New LWP 34188]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/bin/rustc --crate-name gkrust toolkit/library/rust/lib.rs --error-format=j'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  llvm::Use::removeFromList (this=0x7ffe7278cc18) at ../include/llvm/IR/Use.h:157
157	    *StrippedPrev = Next;
[Current thread is 1 (Thread 0x7fff7883ec50 (LWP 34196))]
warning: Missing auto-load script at offset 0 in section .debug_gdb_scripts
of file /usr/bin/rustc.
Use `info auto-load python-scripts [REGEXP]' to list them.
Missing separate debuginfos, use: dnf debuginfo-install glibc-2.31-4.fc32.ppc64le libedit-3.1-32.20191231cvs.fc32.ppc64le libffi-3.1-24.fc32.ppc64le libgcc-10.1.1-1.fc32.ppc64le libstdc++-10.1.1-1.fc32.ppc64le ncurses-libs-6.1-15.20191109.fc32.ppc64le zlib-1.2.11-21.fc32.ppc64le
(gdb) where
#0  llvm::Use::removeFromList (this=0x7ffe7278cc18) at ../include/llvm/IR/Use.h:157
#1  llvm::Use::set (V=<optimized out>, this=0x7ffe7278cc18) at ../include/llvm/IR/Value.h:731
#2  llvm::Use::operator= (RHS=<optimized out>, this=0x7ffe7278cc18) at ../include/llvm/IR/Value.h:737
#3  llvm::User::setOperand (Val=<optimized out>, i=1, this=0x7ffe7278cc18) at ../include/llvm/IR/User.h:179
#4  (anonymous namespace)::PPCBoolRetToInt::runOnUse (this=this@entry=0x7ffe81d7d2e0, U=..., PromotablePHINodes=..., BoolToIntMap=...) at ../lib/Target/PowerPC/PPCBoolRetToInt.cpp:259
#5  0x00007fff97330ef0 in (anonymous namespace)::PPCBoolRetToInt::runOnFunction (F=..., this=0x7ffe81d7d2e0) at ../lib/Target/PowerPC/PPCBoolRetToInt.cpp:211
#6  (anonymous namespace)::PPCBoolRetToInt::runOnFunction (this=0x7ffe81d7d2e0, F=...) at ../lib/Target/PowerPC/PPCBoolRetToInt.cpp:187
#7  0x00007fff94d3366c in llvm::FPPassManager::runOnFunction (this=0x7ffed2ae5ea0, F=...) at ../lib/IR/LegacyPassManager.cpp:1481
#8  0x00007fff94d33d78 in llvm::FPPassManager::runOnModule (this=0x7ffed2ae5ea0, M=...) at ../lib/IR/LegacyPassManager.cpp:1517
#9  0x00007fff94d3424c in (anonymous namespace)::MPPassManager::runOnModule (M=..., this=0x7ffecee14b00) at ../lib/IR/LegacyPassManager.cpp:1582
#10 llvm::legacy::PassManagerImpl::run (this=0x7ffe933e9e90, M=...) at ../lib/IR/LegacyPassManager.cpp:1694
#11 0x00007fff94d3462c in llvm::legacy::PassManager::run (this=<optimized out>, M=...) at ../lib/IR/LegacyPassManager.cpp:1725
#12 0x00007fff9a7d4eec in LLVMRustWriteOutputFile (Target=0x7fff765d7640, PMR=0x7ffec5052520, M=0x7fff765d7160, Path=<optimized out>, RustFileType=<optimized out>)
    at /usr/include/llvm/IR/Module.h:884
#13 0x00007fff9a73ac5c in rustc_codegen_llvm::back::write::write_output_file (handler=0x7fff7883db00, target=<optimized out>, pm=<optimized out>, m=<optimized out>, output=<optimized out>, 
    file_type=<optimized out>) at src/librustc_codegen_llvm/back/write.rs:55
#14 0x00007fff9a73f1dc in rustc_codegen_llvm::back::write::codegen::{{closure}} (cpm=0x7ffec5052520) at src/librustc_codegen_llvm/back/write.rs:762
#15 rustc_codegen_llvm::back::write::codegen::with_codegen (tm=0x7fff765d7640, llmod=0x7fff765d7160, no_builtins=<optimized out>, f=...) at src/librustc_codegen_llvm/back/write.rs:650
#16 rustc_codegen_llvm::back::write::codegen (cgcx=<optimized out>, diag_handler=<optimized out>, module=..., config=<optimized out>) at src/librustc_codegen_llvm/back/write.rs:761
#17 0x00007fff9a6ebd04 in <rustc_codegen_llvm::LlvmCodegenBackend as rustc_codegen_ssa::traits::write::WriteBackendMethods>::codegen (cgcx=0x7fff7883dd28, diag_handler=0x7fff7883db00, 
    config=0x7fff8e2f4ad0, module=...) at src/librustc_codegen_llvm/lib.rs:166
#18 rustc_codegen_ssa::back::write::execute_lto_work_item (cgcx=0x7fff7883dd28, module=..., module_config=0x7fff8e2f4ad0)
    at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/librustc_codegen_ssa/back/write.rs:872
#19 rustc_codegen_ssa::back::write::execute_work_item (cgcx=0x7fff7883dd28, work_item=...) at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/librustc_codegen_ssa/back/write.rs:719
#20 0x00007fff9a5cf7f4 in rustc_codegen_ssa::back::write::spawn_work::{{closure}} () at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/librustc_codegen_ssa/back/write.rs:1547
#21 std::sys_common::backtrace::__rust_begin_short_backtrace (f=...) at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/libstd/sys_common/backtrace.rs:130
#22 0x00007fff9a6170dc in std::thread::Builder::spawn_unchecked::{{closure}}::{{closure}} () at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/libstd/thread/mod.rs:475
#23 <std::panic::AssertUnwindSafe<F> as core::ops::function::FnOnce<()>>::call_once (self=..., _args=<optimized out>) at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/libstd/panic.rs:318
#24 std::panicking::try::do_call (data=<optimized out>) at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/libstd/panicking.rs:297
#25 std::panicking::try (f=...) at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/libstd/panicking.rs:274
#26 std::panic::catch_unwind (f=...) at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/libstd/panic.rs:394
#27 std::thread::Builder::spawn_unchecked::{{closure}} () at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/libstd/thread/mod.rs:474
#28 core::ops::function::FnOnce::call_once{{vtable-shim}} () at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/libcore/ops/function.rs:232
#29 0x00007fff99bd2420 in <alloc::boxed::Box<F> as core::ops::function::FnOnce<A>>::call_once (self=..., args=<optimized out>)
    at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/liballoc/boxed.rs:1076
#30 <alloc::boxed::Box<F> as core::ops::function::FnOnce<A>>::call_once (self=0x7fff3fd6a210, args=<optimized out>) at /usr/src/debug/rust-1.45.0-1.fc32.ppc64le/src/liballoc/boxed.rs:1076
#31 std::sys::unix::thread::Thread::new::thread_start (main=0x7fff3fd6a210) at src/libstd/sys/unix/thread.rs:87
#32 0x00007fff93e59618 in start_thread () from /lib64/libpthread.so.0
#33 0x00007fff99a7cff4 in clone () from /lib64/libc.so.6

Comment 5 Tom Stellard 2020-07-30 15:26:33 UTC
Can you recompile with the '-C save-temps' option and then post the output llvm bitcode to this bug?

Comment 6 Dan Horák 2020-07-30 16:56:49 UTC
done, download from http://fedora.danny.cz/ff79-rust-temps.tar.bz2 (~600MB), if needed we can reproduce that on an internal machine too

Comment 7 Tom Stellard 2020-07-31 00:07:08 UTC
I filed an upstream bug for this and you can find a reduced test case attached to that bug.

Comment 8 Jan Horak 2020-08-07 12:55:11 UTC
Same on RHEL 8.3.

Comment 9 Dan Horák 2020-08-07 13:08:46 UTC
(In reply to Jan Horak from comment #8)
> Same on RHEL 8.3.

This bug has been cloned to RHEL already, so hopefully we will have a fixed LLVM soon.

Comment 10 Fedora Update System 2020-08-21 13:27:59 UTC
FEDORA-2020-e50fd340c1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e50fd340c1

Comment 11 Fedora Update System 2020-08-22 01:05:54 UTC
FEDORA-2020-e50fd340c1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e50fd340c1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e50fd340c1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-08-24 01:13:01 UTC
FEDORA-2020-e50fd340c1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Dan Horák 2020-09-03 15:51:30 UTC
Hi Tom,
so this has been fixed for F-32 and in Rawhide, but how about F-33? I can't find a build for either llvm or llvm10 with the fix. Isn't it still missing?

Comment 14 serge_sans_paille 2020-09-04 07:46:57 UTC
Hey Dan,

PR opened with the upstream patch for f33 and f32:

https://src.fedoraproject.org/rpms/llvm/pull-request/64
https://src.fedoraproject.org/rpms/llvm/pull-request/65

Comment 15 Fedora Update System 2020-09-10 07:58:20 UTC
FEDORA-2020-5360543e4a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5360543e4a

Comment 16 Fedora Update System 2020-09-10 18:26:10 UTC
FEDORA-2020-5360543e4a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5360543e4a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5360543e4a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Martin Stransky 2020-09-14 11:45:56 UTC
The same seems to happen on F33/x390x. Can we have an update for Fedora 33?

https://koji.fedoraproject.org/koji/taskinfo?taskID=51424580
https://kojipkgs.fedoraproject.org//work/tasks/4580/51424580/build.log

Comment 18 Josh Stone 2020-09-14 16:33:32 UTC
@Martin -- the patch in question here is entirely specific to the PowerPC backend, so we'd have to investigate s390x failures separately. However, your error was a SIGKILL, which usually comes from being out of memory -- I know I've had to disable s390x debuginfo for the build of rustc itself due to memory constraints.

Comment 19 Fedora Update System 2020-09-15 07:16:56 UTC
FEDORA-2020-cb23ad2110 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cb23ad2110

Comment 20 Fedora Update System 2020-09-15 14:54:11 UTC
FEDORA-2020-cb23ad2110 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cb23ad2110`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cb23ad2110

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-09-25 16:58:32 UTC
FEDORA-2020-cb23ad2110 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.